| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
fxlc95000_Sensor_Specific_Settings_t Struct Reference

`#include <fxlc95000.h>`

Collaboration diagram for fxlc95000_Sensor_Specific_Settings_t:

## Data Fields
const int32 | sampleDataOffset
const int32 | sampleDataSize
const int32 | configRegisterReadOffset
const int32 | configRegisterReadSize
const float | engFloatConversionFactor
const uint8 | engFixedTotalWidth
const uint8 | engFixedIntegerWidth
const uint8 | engFixedSignBit
const uint8 | resolution
const uint8 | range
const uint8 | mode
const fxlc95000_CommandList_t | writeConfigRegisterPreamble
const fxlc95000_CommandList_t | readConfigCommands
const fxlc95000_CommandList_t | validateSettingsCommands
const fxlc95000_CommandList_t | initializeCommands
const fxlc95000_CommandList_t | configureCommands
const fxlc95000_CommandList_t | startDataCommands
const fxlc95000_CommandList_t | endDataCommands
const fxlc95000_CommandList_t | calibrateCommands
const fxlc95000_CommandList_t | shutdownCommands
const fxlc95000_CommandList_t | getDataCommands
const fxlc95000_CommandList_t | flashPreprocessCommands
const fxlc95000_CommandList_t | flashPostprocessCommands

## Detailed Description

Definition at line 63 of file fxlc95000.h.

## Field Documentation

const fxlc95000_CommandList_t calibrateCommands

Definition at line 83 of file fxlc95000.h.

const int32 configRegisterReadOffset

Definition at line 67 of file fxlc95000.h.

Referenced by fxlc95000_GetConfig().

const int32 configRegisterReadSize

Definition at line 68 of file fxlc95000.h.

Referenced by fxlc95000_GetConfig(), and fxlc95000_WriteConfig().

const fxlc95000_CommandList_t configureCommands

Definition at line 80 of file fxlc95000.h.

const fxlc95000_CommandList_t endDataCommands

Definition at line 82 of file fxlc95000.h.

const uint8 engFixedIntegerWidth

Definition at line 71 of file fxlc95000.h.

const uint8 engFixedSignBit

Definition at line 72 of file fxlc95000.h.

const uint8 engFixedTotalWidth

Definition at line 70 of file fxlc95000.h.

const float engFloatConversionFactor

Definition at line 69 of file fxlc95000.h.

const fxlc95000_CommandList_t flashPostprocessCommands

Definition at line 87 of file fxlc95000.h.

Referenced by fsl_fxlc95000_Flash().

const fxlc95000_CommandList_t flashPreprocessCommands

Definition at line 86 of file fxlc95000.h.

Referenced by fsl_fxlc95000_Flash().

const fxlc95000_CommandList_t getDataCommands

Definition at line 85 of file fxlc95000.h.

const fxlc95000_CommandList_t initializeCommands

Definition at line 79 of file fxlc95000.h.

const uint8 mode

Definition at line 75 of file fxlc95000.h.

const uint8 range

Definition at line 74 of file fxlc95000.h.

const fxlc95000_CommandList_t readConfigCommands

Definition at line 77 of file fxlc95000.h.

Referenced by fxlc95000_GetConfig().

const uint8 resolution

Definition at line 73 of file fxlc95000.h.

const int32 sampleDataOffset

Definition at line 65 of file fxlc95000.h.

Referenced by fxlc95000_GetData().

const int32 sampleDataSize

Definition at line 66 of file fxlc95000.h.

Referenced by fxlc95000_GetData().

const fxlc95000_CommandList_t shutdownCommands

Definition at line 84 of file fxlc95000.h.

const fxlc95000_CommandList_t startDataCommands

Definition at line 81 of file fxlc95000.h.

Referenced by fsl_fxlc95000_StartData().

const fxlc95000_CommandList_t validateSettingsCommands

Definition at line 78 of file fxlc95000.h.

Referenced by fxlc95000_ValidateConfig().

const fxlc95000_CommandList_t writeConfigRegisterPreamble

Definition at line 76 of file fxlc95000.h.

Referenced by fxlc95000_WriteConfig().

The documentation for this struct was generated from the following file:

- SensorSpecific/fxlc95000.h

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.